#!/bin/nawk -f
#
# Author J.S.Charters
# Modif J.S.Charters 00sep21 - make work when not on a ship.
# Modf G.A.Davis 2004dec17 - Update for Seaspy
#
BEGIN {
#	printf "#  cruise = %s\n", Cruise
#	printf "#  cruise name = %s\n", ex_name
#	printf "#  current date = %s\n", Cdate
#	printf "#  Ship = %s\n", Ship
#	printf "#  Chief Scientist = %s\n", ChiSci
#	printf "#  begin date = %s\n", Bdate
#	printf "#  begin port = %s\n", Bport
#	printf "#  end date = %s\n", Edate
#	printf "#  end port = %s\n", Eport
}
{
	if ( $1 == "LINE_01") {
		printf "4"
		printf "%8s",Cruise
		printf "MGD77"
		printf "        "
		printf "    %1s%1s%1s1120%6s",dep,mag,grav,Cdate
		printf "SCRIPPS INSTITUTION OF OCEANOGRAPHY"
		printf "    01\n"
		next
	}
	if ( $1 == "LINE_02") {
		printf "USA               "
		printf "R/V %-17s",Ship
		printf "1SHIP  "
		printf "%-32s",ChiSci
		printf "02\n"
		next
	}
	if ( $1 == "LINE_03" ) {
		printf "%s",ex_name
		printf " LEG %2s", leg
		blanks = 58 - (length(ex_name) + 7)
		for ( i=0; i<blanks; i++) printf " "
		printf "Funding Agency      "
		printf "03\n"
		next
	}
	if ( $1 == "LINE_04") {
		printf "20%-6s%-32s",Bdate,Bport
		printf "20%-6s%-30s",Edate,Eport
		printf "04\n"
		next
	}
	if ( $1 == "LINE_06") {
		if (Ship == "Melville" ) {
			printf "SEABEAM 2000 12kHz, w/SIDESCAN"
			printf "          "
			printf "ANAL.REC,35MM FILM,DIGITAL MAG. TAPE  "
		} else
		if (Ship == "Revelle" ) {
			printf "SEABEAM 2100 12kHz, w/SIDESCAN"
			printf "          "
			printf "ANAL.REC,35MM FILM,DIGITAL MAG. TAPE  "
		} else {
			printf "                              "
			printf "          "
			printf "                                      "
		}
		printf "06\n"
		next
	}
	if ( $1 == "LINE_07" ) {
		if ( mag == 5) {
			printf "SEASPY GRADIOMETER                      "
			printf "DIGITAL TAPE                          "
			printf "07\n"
		} else {
			printf "                                        "
			printf "                                      "
			printf "07\n"
		}
		next
	}
	if ( $1 == "LINE_08") {
		if ( Ship == "Melville" ) {
			printf "BELL BGM-3 METER S/N 224"
			printf "                "
			printf "DIGITAL TAPE                          "
			printf "08\n"
		} else
		if ( Ship == "Revelle" ) {
			printf "                "
			printf "                        "
			printf "                                      "
			printf "08\n"
		} else {
			printf "                "
			printf "                        "
			printf "                                      "
			printf "08\n"
		}
		next
	}
	if ( $1 == "LINE_15") {
		if ( grav == 5) {
			printf "TO BE FILLED IN "
			printf "                        "
			printf "TO BE FILLED IN                       "
			printf "15\n"
		} else {
			printf "                "
			printf "                        "
			printf "                                      "
			printf "15\n"
		}
		next
	}
	if ( $1 == "LINE_22") {
		if ( grav == 3) {
			printf "GRAVITY: Gravity was collected but not funded, not included in file.          22\n"
			printf "                                                                              23\n"
			printf "                                                                              24\n"
		} else 
		if ( grav == 5) {
			printf "GRAVITY: 1 SEC METER COUNTS FILTERED WITH 99 DEC STD.DEV. GAUSSIAN            22\n"
			printf "  CONVOLUTION WINDOW. FREE AIR ANOMALY SPIKES PRESENT BECAUSE SAME FILTER     23\n"
			printf "  NOT USED FOR NAVIGATION                                                     24\N"
		} else {
			printf "                                                                              22\n"
			printf "                                                                              23\n"
			printf "                                                                              24\n"
		}
		next
	}
	if ( $1 == "LINE_23") {
		next;
	}
	if ( $1 == "LINE_24") {
		next;
	}
	printf "%s\n",$0
	
}
END {
#	printf "all done\n"
}
