#!/bin/nawk -f
#
# Modif J.S.Charters May 2002 SIO - Add tick scales
#
BEGIN {
	tlat = -90
	blat = 90
	llon = 360
	rlon = 0
}
{
	if ( $1 > rlon ) rlon = $1
	if ( $1 < llon ) llon = $1
	if ( $2 > tlat ) tlat = $2
	if ( $2 < blat ) blat = $2
}
END {

	rlon = int (rlon) + 1
	llon = int (llon) - 1
	if ( tlat > 0 ) {
		tlat = int(tlat) + 1
	} else {
		tlat = int(tlat)
	}
	if ( blat > 0 ) {
		blat = int(blat)
	} else {
		blat = int(blat) - 1
	}
	dflat = tlat - blat;
	if ( dflat < 0 ) dflat += 90
	dflat = int(dflat) + 1
	dflon = rlon - llon;
	dflon = int(dflon) + 1

	if ( dflon < dflat ) {
		dfdif = dflat - dflon
		center = ((tlat+blat)/2) * 3.1415926 / 180.
		dfdif /= cos(center)
		dfdif = int (dfdif) + 1
		dfdif /= 2
		rlon += dfdif
		llon -= dfdif
	}

	labels = 1
	if ( ((dflat + dflon) / 2) > 15 ) labels = 2
	if ( ((dflat + dflon) / 2) > 30 ) labels = 5

	if ( llon > 180) llon -= 360
	if ( rlon > 180) rlon -= 360

	printf "set LLON = %d\n",llon
	printf "set RLON = %d\n",rlon
	printf "set TLAT = %d\n",tlat
	printf "set BLAT = %d\n",blat
	printf "set SCALE = M6.5\n"
	printf "set TIC = a%df%dg%d\n",labels,labels,labels

}
